Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::GatewaySensorManager::SnmpSensor Struct Reference
Inheritance diagram for peripheral::GatewaySensorManager::SnmpSensor:

## Public Attributes
string | oid
| sensor oid
Public Attributes inherited from peripheral::GatewaySensorManager::Sensor
string | sensorId
| Unique sensor id, is automatically generated if not set.
boolean | disabled
| Set disabled = true prevents any usage of the specification.
string | deviceId
| remote device id More...
string | classId
| sensor class id More...
string | encodingId
| sensor encoding id More...
string | defaultName
| default sensor name More...

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl